#
# spec file for package perl-Apache-ASP (Version 2.09)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel mm mod_perl perl-Apache-Filter perl-Apache-SSI perl-Compress-Zlib perl-Devel-Symdump perl-Digest-MD5 perl-HTML-Clean perl-MLDBM perl-URI perl-libnet perl-libwww-perl
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mm mod_perl modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Apache-Filter perl-Apache-SSI perl-Compress-Zlib perl-Devel-Symdump perl-Digest-MD5 perl-HTML-Clean perl-MLDBM perl-URI perl-libnet perl-libwww-perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Apache-ASP
%define apache_includedir   	%(apxs -q INCLUDEDIR)
%define version_perl       	%(rpm -q --queryformat '%{version}' perl)
%define version_apache		%(rpm -q --queryformat '%{version}' apache)
%define perl_installsitelib  	%(eval "`perl -V:installsitelib`"; echo $installsitelib)
Copyright:    BSD style
Group:        Development/Libraries/Perl
Provides:     Apache-ASP
Requires:     perl = %{version_perl} 
Requires:     apache = %{version_apache}
Requires:     mod_perl
Requires:     perl-URI perl-Digest-MD5 perl-MLDBM 
Requires:     perl-Apache-Filter perl-Apache-SSI 
Requires:     perl-Compress-Zlib perl-Devel-Symdump 
Requires:     perl-libwww-perl perl-HTML-Clean perl-libnet
Conflicts:    perlmod
Autoreqprov:  on
Version:      2.09
Release:      130
Source:       Apache-ASP-%{version}.tar.gz 
Patch:        Apache-ASP-%{version}.dif
Summary:      Active Server Pages for Apache with mod_perl
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
This perl module provides an Active Server Pages port to the Apache
Web Server with perl as the host scripting language. Active Server
Pages is a web application platform that originated with the Microsoft
NT/IIS server. Under Apache for Unix and Win32 platforms it allows a
developer to create dynamic web applications with session management
and embedded perl code. This is a portable solution, similar to
ActiveState's PerlScript for NT/IIS ASP.

Authors:
--------
    Joshua Chamas <asp@chamas.com>

SuSE series: perl

%prep 
%setup -n Apache-ASP-%{version}
%patch
#
# replace wrong location of perl
#
for file in `find . -type f -exec fgrep -l /local/bin/perl {} \;`; do
    cat $file | \
    sed -e 's+/user/local/bin/perl+%{_bindir}/perl+' \
        -e 's+/usr/local/bin/perl+%{_bindir}/perl+' > tmp_file;
    mv tmp_file $file;
    echo "Patched Perl path in: $file";
done

%build
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
perl Makefile.PL
make all
make test
	

%install
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
        install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | \
	sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/Apache/ASP/
       cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
%doc CHANGES README LICENSE
%doc %{_mandir}/man3/Apache::ASP.3pm.gz
%doc %{_mandir}/man3/Bundle::Apache::ASP.3pm.gz
%{perl_sitearch}/auto/Apache/ASP/
%{perl_installsitelib}/Apache/ASP.pm
%{perl_installsitelib}/Bundle/Apache/ASP.pm
/var/adm/perl-modules/%{name}

%changelog -n perl-Apache-ASP
* Tue Aug 14 2001 - ro@suse.de
- use Digest::MD5 instead of deprecated MD5
* Thu Apr 12 2001 - poeml@suse.de
- replace all occurrences of /usr/local/bin/perl with /usr/bin/perl
  [#6918]
* Wed Mar 28 2001 - rolf@suse.de
- update to 2.09
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Tue Nov 21 2000 - rolf@suse.de
- extracted from perlmod package
- update to version 2.03
